Bug 122795 - Kernel panic on Transmeta CPU with degenerate Longrun table
Kernel panic on Transmeta CPU with degenerate Longrun table
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-05-08 00:47 EDT by H. Peter Anvin
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-18 22:45:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to LongRun driver (1.70 KB, patch)
2004-05-08 00:48 EDT, H. Peter Anvin
no flags Details | Diff

  None (edit)
Description H. Peter Anvin 2004-05-08 00:47:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)

Description of problem:
I have an embedded "mini-PC" style machine with a Transmeta Crusoe
CPU, which is configured to always operate at its highest frequency. 
The 2.6.5-1.327 kernel crashes due to a division by zero in the
cpufreq/longrun driver.

The attached patch fixes this problem.  It has also been sent upstream.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to install FC2t3 on a machine with a degenerate Longrun


Actual Results:  Kernel panic on boot.

Additional info:

Patch attached.
Comment 1 H. Peter Anvin 2004-05-08 00:48:44 EDT
Created attachment 100103 [details]
Patch to LongRun driver

Note You need to log in before you can comment on or make changes to this bug.